/*
 * Quoridor server and related libraries
 * Copyright (C) 2009-2010 Jaroslav Tulach <jaroslav.tulach@apidesign.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 */

package cz.xelfi.quoridor;

import cz.xelfi.quoridor.Player.Direction;

/** Basic tests in simple configuration.
 *
 * @author Jaroslav Tulach
 */
public class BoardTest extends BoardCase {
    public BoardTest (String testName) {
        super (testName);
    }

    @Override
    protected Board move(Board b, int player, Direction... where) throws IllegalPositionException {
        return b.move(b.getPlayers().get(player), where);
    }
    protected Board fence(Board b, int player, char x, int y, Fence.Orientation orie)
    throws IllegalPositionException {
        return b.fence(b.getPlayers().get(player), x, y, orie);
    }

    @Override
    protected Board apply(Board b, Move move) throws IllegalPositionException {
        return b.apply(move);
    }
}
